osl::PtypeFunsSub< T, true > Struct Template Reference

`#include <ptypeTraits.h>`

## Static Public Attributes

static const uint64_t | indexMask =(((unsigned long long) -1)<<(PtypeTraits<T>::indexMin))^(((unsigned long long) -1)<<(PtypeTraits<T>::indexLimit))
static const Ptype | promotePtype =static_cast<Ptype>(static_cast<int>(T)-8)
static const Ptype | basicType = T

## Detailed Description

template<Ptype T>
struct osl::PtypeFunsSub< T, true >

Definition at line 293 of file ptypeTraits.h.

## Member Data Documentation

## basicType

template<Ptype T>

const Ptype osl::PtypeFunsSub< T, true >::basicType = T

static

Definition at line 297 of file ptypeTraits.h.

## indexMask

template<Ptype T>

const uint64_t osl::PtypeFunsSub< T, true >::indexMask =(((unsigned long long) -1)<<(PtypeTraits<T>::indexMin))^(((unsigned long long) -1)<<(PtypeTraits<T>::indexLimit))

static

Definition at line 295 of file ptypeTraits.h.

## promotePtype

template<Ptype T>

const Ptype osl::PtypeFunsSub< T, true >::promotePtype =static_cast<Ptype>(static_cast<int>(T)-8)

static

Definition at line 296 of file ptypeTraits.h.

The documentation for this struct was generated from the following file:

- ptypeTraits.h